Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.aria.client
Class MenuitemcheckboxRoleImpl

    java.lang.Object
      com.google.gwt.aria.client.RoleImpl
          com.google.gwt.aria.client.MenuitemcheckboxRoleImpl

All Implemented Interfaces:
  CheckboxRole, CommandRole, InputRole, MenuitemcheckboxRole, MenuitemRole, Role, WidgetRole

     class MenuitemcheckboxRoleImpl

extends RoleImpl
implements MenuitemcheckboxRole

Implements `MenuitemcheckboxRole`.

Constructor Summary
`MenuitemcheckboxRoleImpl(java.lang.String roleName)`

Method Summary
`java.lang.String` | `getAriaCheckedState(Element element)` Returns the value of the aria-checked attribute for the `element` or "" if no such attribute is present.
`void` | `removeAriaCheckedState(Element element)` Removes the aria-checked attribute from the `element`.
`void` | `setAriaCheckedState(Element element, CheckedValue value)` Sets the aria-checked attribute for the `element` to the given `value`.

Methods inherited from class com.google.gwt.aria.client.RoleImpl
`getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gwt.aria.client.Role
`getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

Constructor Detail

### MenuitemcheckboxRoleImpl

    MenuitemcheckboxRoleImpl(java.lang.String roleName)

Method Detail

### getAriaCheckedState

    public java.lang.String getAriaCheckedState(Element element)

  Description copied from interface: `CheckboxRole`
  Returns the value of the aria-checked attribute for the `element` or "" if no such attribute is present.

  Specified by:
    `getAriaCheckedState` in interface `CheckboxRole`

### removeAriaCheckedState

    public void removeAriaCheckedState(Element element)

  Description copied from interface: `CheckboxRole`
  Removes the aria-checked attribute from the `element`.

  Specified by:
    `removeAriaCheckedState` in interface `CheckboxRole`

### setAriaCheckedState

    public void setAriaCheckedState(Element element,
                                    CheckedValue value)

  Description copied from interface: `CheckboxRole`
  Sets the aria-checked attribute for the `element` to the given `value`.

  Specified by:
    `setAriaCheckedState` in interface `CheckboxRole`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD